summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorxudan <xudan16@huawei.com>2017-03-21 06:39:45 +0000
committerxudan <xudan16@huawei.com>2017-03-24 07:50:02 +0000
commitba8d52ba3a4619e170519ae6acea123514bd033b (patch)
treea784cc12d762839a8c39030c284cc2b884ce09c2 /jjb
parenta7d34e413eb83825bd16191e70256e984dc66808 (diff)
Dovetail needs credentials file openrc as an input
1. The Dovetail tool itself needs openrc file as the input rather than INSTALLER_TYPE and INSTALLER_IP. See JIRA: DOVETAIL-369 and JIRA: DOVETAIL-371 2. Now Dovetail CI jobs just give INSTALLER_TYPE and INSTALLER_IP to Dovetail tool. 3. So Dovetail CI jobs need to fetch the openrc file before and run Dovetail tool with the openrc file. JIRA: DOVETAIL-372 Change-Id: I3a6293da621ae0a2f5d72a297d3d912fd60e05d8 Signed-off-by: xudan <xudan16@huawei.com>
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/dovetail/dovetail-run.sh34
1 files changed, 23 insertions, 11 deletions
diff --git a/jjb/dovetail/dovetail-run.sh b/jjb/dovetail/dovetail-run.sh
index 0a2f156cc..f9a3df626 100755
--- a/jjb/dovetail/dovetail-run.sh
+++ b/jjb/dovetail/dovetail-run.sh
@@ -6,9 +6,9 @@
set -e
[[ $CI_DEBUG == true ]] && redirect="/dev/stdout" || redirect="/dev/null"
-# labconfig is used only for joid
-labconfig=""
sshkey=""
+# The path of openrc.sh is defined in fetch_os_creds.sh
+OPENRC=$WORKSPACE/opnfv-openrc.sh
if [[ ${INSTALLER_TYPE} == 'apex' ]]; then
instack_mac=$(sudo virsh domiflist undercloud | grep default | \
grep -Eo "[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+")
@@ -22,7 +22,7 @@ if [[ ${INSTALLER_TYPE} == 'apex' ]]; then
elif [[ ${INSTALLER_TYPE} == 'joid' ]]; then
# If production lab then creds may be retrieved dynamically
# creds are on the jumphost, always in the same folder
- labconfig="-v $LAB_CONFIG/admin-openrc:/home/opnfv/functest/conf/openstack.creds"
+ sudo cp $LAB_CONFIG/admin-openrc $OPENRC
# If dev lab, credentials may not be the default ones, just provide a path to put them into docker
# replace the default one by the customized one provided by jenkins config
fi
@@ -32,21 +32,32 @@ if ! sudo iptables -C FORWARD -j RETURN 2> ${redirect} || ! sudo iptables -L FOR
sudo iptables -I FORWARD -j RETURN
fi
+if [[ ${INSTALLER_TYPE} != 'joid' ]]; then
+ releng_repo=${WORKSPACE}/releng
+ [ -d ${releng_repo} ] && sudo rm -rf ${releng_repo}
+ git clone https://gerrit.opnfv.org/gerrit/releng ${releng_repo} >/dev/null
+ ${releng_repo}/utils/fetch_os_creds.sh -d ${OPENRC} -i ${INSTALLER_TYPE} -a ${INSTALLER_IP} >${redirect}
+fi
+
+if [[ -f $OPENRC ]]; then
+ echo "INFO: openstack credentials path is $OPENRC"
+ cat $OPENRC
+else
+ echo "ERROR: file $OPENRC does not exist."
+ exit 1
+fi
+
opts="--privileged=true -id"
-envs="-e CI_DEBUG=${CI_DEBUG} \
- -e INSTALLER_TYPE=${INSTALLER_TYPE} \
- -e INSTALLER_IP=${INSTALLER_IP} \
- -e DEPLOY_SCENARIO=${DEPLOY_SCENARIO} \
- -e DEPLOY_TYPE=${DEPLOY_TYPE}"
results_envs="-v /var/run/docker.sock:/var/run/docker.sock \
-v /home/opnfv/dovetail/results:/home/opnfv/dovetail/results"
+openrc_volume="-v ${OPENRC}:${OPENRC}"
# Pull the image with correct tag
echo "Dovetail: Pulling image opnfv/dovetail:${DOCKER_TAG}"
docker pull opnfv/dovetail:$DOCKER_TAG >$redirect
-cmd="sudo docker run ${opts} ${envs} ${results_envs} ${labconfig} ${sshkey} \
- opnfv/dovetail:${DOCKER_TAG} /bin/bash"
+cmd="docker run ${opts} ${results_envs} ${openrc_volume} \
+ ${sshkey} opnfv/dovetail:${DOCKER_TAG} /bin/bash"
echo "Dovetail: running docker run command: ${cmd}"
${cmd} >${redirect}
sleep 5
@@ -67,7 +78,7 @@ if [ $(docker ps | grep "opnfv/dovetail:${DOCKER_TAG}" | wc -l) == 0 ]; then
fi
list_cmd="dovetail list ${TESTSUITE}"
-run_cmd="dovetail run --testsuite ${TESTSUITE} -d true"
+run_cmd="dovetail run --openrc ${OPENRC} --testsuite ${TESTSUITE} -d"
echo "Container exec command: ${list_cmd}"
docker exec $container_id ${list_cmd}
echo "Container exec command: ${run_cmd}"
@@ -79,3 +90,4 @@ sudo cp -r ${DOVETAIL_REPO_DIR}/results ./
sudo chown -R jenkins:jenkins ${WORKSPACE}/results
echo "Dovetail: done!"
+